#!/usr/bin/env perl
use v5.16;
use strict;
use warnings;
use ExtUtils::MakeMaker;

WriteMakefile(
  NAME         => 'cosmasvc2koralquery',
  AUTHOR       => 'Nils DIewald',
  ABSTRACT     => 'Conversion of Cosmas 2 VC files to KoralQuery',
  VERSION_FROM => 'script/cosmasvc2koralquery',
  LICENSE      => 'freebsd',
  BUILD_REQUIRES => {
    'Test::More' => 0,
    'Test::Output' => 0,
    'File::Basename' => 0,
    'Data::Dumper' => 0,
    'File::Spec::Functions' => 0,
    'Mojolicious' => 0,
  },
  MIN_PERL_VERSION => '5.016',
  EXE_FILES => ['script/cosmasvc2koralquery'],
  META_MERGE   => {
    'meta-spec' => { version => 2 },
    requires  => { perl => '5.010001' },
    resources => {
      license     => 'https://opensource.org/licenses/BSD-2-Clause',
    }
  }
);
